无法卸载angular-cli

我试了几次卸载我的angular度cli为了更新,但即使我按照github上提供的说明:

  • npm uninstall -g @ angular / cli
  • npmcaching清理
  • npm install -g @ angular / cli @ latest

当我检查使用命令ng –version我仍然得到旧版本:

angular-cli: 1.0.0-beta.26 node: 7.7.1 os: darwin x64 

我如何解决这个问题? 谢谢

       

网上收集的解决方案 "无法卸载angular-cli"

更新Angular CLI

https://github.com/angular/angular-cli#updating-angular-cli

如果您使用的是Angular CLI 1.0.0-beta.28或更低版本,则需要先卸载angular-cli软件包。

 npm uninstall -g angular-cli npm uninstall -g @angular/cli npm cache clean npm install -g @angular/cli@latest 

然后,当它成功完成,你可以尝试:

ng -v

你正在使用angular度CLI的beta版本,你可以这样做。

 npm uninstall -g @angular/cli npm uninstall -g angular/cli 

然后键入,

 npm cache clean 

然后进入隐藏在你的用户的AppData文件夹,并进入AppData内的漫游文件夹,然后去npm文件夹,删除那里的angular度文件,也去npm-cache文件夹,删除那里的angular度组件。重新启动你的电脑和types

 npm install -g @angular/cli@latest 

这为我工作✌️

你必须使用(没有@)

 npm uninstall -g angular/cli 

因为

如果您使用的是Angular CLI beta.28或更低版本,则需要卸载angular-cli软件包。 应该这样做是因为将包的名称和范围从angular-cli更改为@ angular / cli https://github.com/angular/angular-cli

我有同样的问题。 这不起作用:

 npm uninstall -g angular/cli npm cache clean 

改为使用:

 npm uninstall -g @ angular/cli 

我find了一个解决scheme,首先删除ng文件

 sudo rm /usr/bin/ng 

然后安装nvm (你需要重新启动你的terminal来使用nvm)。

然后通过nvm安装并使用节点6

 nvm install 6 nvm use 6 

最后安装angular度cli

 npm install -g @angular/cli 

这工作对我来说,我想从1.0.28testing版更新到1.0稳定版,但无法卸载testing版(与您desrcibed相同的情况下)。 希望这个作品

尝试通过在npm回购中find的angular度cli中的这些步骤进行更新。

 npm uninstall -g angular-cli npm cache clean npm install -g angular-cli@latest 

还有一个angular度cli 移民指南 。 另一个select(更多参与)是启动一个新项目并通过复制和粘贴某些文件进行迁移。 这可以在这里findangular度cli github的“移动到cli”部分